Name:		cacti-spine
Version:	0.8.7e
Release:	1%{?dist}
Summary:	Spine is a poller for Cacti that primarily strives to be as fast as possible

Group:		Applications/System
License:	LGPLv2
URL:		http://www.cacti.net/spine_info.php
Source0:	http://www.cacti.net/downloads/spine/cacti-spine-0.8.7e.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	net-snmp-devel, mysql, mysql-devel, openssl-devel, perl
BuildRequires:	automake, dos2unix, libtool, autoconf
Requires:	cacti >= 0.8.7


%description
Spine, formally Cactid, is a poller for Cacti that primarily strives to be as
fast as possible. For this reason it is written in native C, makes use of POSIX
threads, and is linked directly against the net-snmp library for minmumal SNMP
polling overhead. Spine is a replacement for the default cmd.php poller so you
must decide if using Spine makes sense for your installation.


%prep
%setup -q
perl -pi.orig -e 's|/lib\b|/%{_lib}|g' configure


%build
./bootstrap
#autoreconf --force --install --symlink
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -Dp -m0755 spine $RPM_BUILD_ROOT/%{_bindir}/spine
install -Dp -m0640 spine.conf $RPM_BUILD_ROOT%{_sysconfdir}/cacti/spine.conf


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE* NEWS README*
%{_bindir}/spine
%config(noreplace) %attr(0640,cacti,apache) %{_sysconfdir}/cacti/spine.conf


%define date %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} %{packager} %{version}-%{release}
- Rebuild  %{name} %{version}-%{release}

